## Class Swift_Mime_Attachment

(line 23)

## Description

    Swift_Mime_SimpleMimeEntity
       |
       --Swift_Mime_Attachment

Located in File: /vendors/swiftMailer/classes/Swift/Mime/Attachment.php

##### An attachment, in a multipart message.

- author: - Chris Corbyn

Classes extended from Swift_Mime_Attachment:

Swift_Attachment
  Attachment class for attaching files to a Swift_Mime_Message.

Swift_Mime_EmbeddedFile
  An embedded file, in a multipart message.

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
Swift_Mime_Attachment __construct (Swift_Mime_HeaderSet $headers, Swift_Mime_ContentEncoder $encoder, Swift_KeyCache $cache, [array $mimeTypes = array()])
string getDisposition ()
string getFilename ()
int getNestingLevel ()
int getSize ()
void setDisposition (string $disposition)
void setFile (Swift_FileStream $file, [string $contentType = null])
void setFilename (string $filename)
void setSize (int $size)

#### Constructor __construct (line 36)

#### Swift_Mime_Attachment __construct( Swift_Mime_HeaderSet $headers, Swift_Mime_ContentEncoder $encoder, Swift_KeyCache $cache, [array $mimeTypes = array()])

Overridden in child classes as:

Swift_Attachment::__construct()
  Create a new Attachment.

Swift_Mime_EmbeddedFile::__construct()
  Creates a new Attachment with $headers and $encoder.

Swift_EmbeddedFile::__construct()
  Create a new EmbeddedFile.

Swift_Image::__construct()
  Create a new EmbeddedFile.

Overrides : Swift_Mime_SimpleMimeEntity::__construct() Create a new SimpleMimeEntity with $headers, $encoder and $cache.

##### Create a new Attachment with $headers, $encoder and $cache.

#### Parameters

- Swift_Mime_HeaderSet $headers:
- Swift_Mime_ContentEncoder $encoder:
- Swift_KeyCache $cache:
- array $mimeTypes: optional

#### Info

- access - public

#### Method getDisposition (line 61)

#### string getDisposition( )

##### Get the Content-Disposition of this attachment.

By default attachments have a disposition of "attachment".

#### Info

- access - public

#### Method getFilename (line 85)

#### string getFilename( )

##### Get the filename of this attachment when downloaded.

#### Info

- access - public

#### Method getNestingLevel (line 51)

#### int getNestingLevel( )

Overridden in child classes as:

Swift_Mime_EmbeddedFile::getNestingLevel()
  Get the nesting level of this EmbeddedFile.

Overrides : Swift_Mime_SimpleMimeEntity::getNestingLevel() Get the nesting level of this entity.

##### Get the nesting level used for this attachment.

Always returns LEVEL_MIXED.

#### Info

- access - public

#### Method getSize (line 105)

#### int getSize( )

##### Get the file size of this attachment.

#### Info

- access - public

#### Method setDisposition (line 70)

#### void setDisposition( string $disposition)

##### Set the Content-Disposition of this attachment.

#### Parameters

- string $disposition:

#### Info

- access - public

#### Method setFile (line 125)

#### void setFile( Swift_FileStream $file, [string $contentType = null])

##### Set the file that this attachment is for.

#### Parameters

- Swift_FileStream $file:
- string $contentType: optional

#### Info

- access - public

#### Method setFilename (line 94)

#### void setFilename( string $filename)

##### Set the filename of this attachment.

#### Parameters

- string $filename:

#### Info

- access - public

#### Method setSize (line 114)

#### void setSize( int $size)

##### Set the file size of this attachment.

#### Parameters

- int $size:

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

#### Inherited From Class Swift_Mime_SimpleMimeEntity

#### Swift_Mime_SimpleMimeEntity::$_userContentType -

## Inherited Methods

### Inherited Method Summary

#### Inherited From Class Swift_Mime_SimpleMimeEntity

#### Swift_Mime_SimpleMimeEntity::__construct() - Create a new SimpleMimeEntity with $headers, $encoder and $cache.

#### Swift_Mime_SimpleMimeEntity::charsetChanged() - Receive notification that the charset of this entity, or a parent entity has changed.

#### Swift_Mime_SimpleMimeEntity::encoderChanged() - Receive notification that the encoder of this entity or a parent entity has changed.

#### Swift_Mime_SimpleMimeEntity::generateId() - Generate a new Content-ID or Message-ID for this MIME entity.

#### Swift_Mime_SimpleMimeEntity::getBody() - Get the body of this entity as a string.

#### Swift_Mime_SimpleMimeEntity::getBoundary() - Get the boundary used to separate children in this entity.

#### Swift_Mime_SimpleMimeEntity::getChildren() - Get all children added to this entity.

#### Swift_Mime_SimpleMimeEntity::getContentType() - Get the Content-type of this entity.

#### Swift_Mime_SimpleMimeEntity::getDescription() - Get the description of this entity.

#### Swift_Mime_SimpleMimeEntity::getEncoder() - Get the encoder used for the body of this entity.

#### Swift_Mime_SimpleMimeEntity::getHeaders() - Get the Swift_Mime_HeaderSet for this entity.

#### Swift_Mime_SimpleMimeEntity::getId() - Get the CID of this entity.

#### Swift_Mime_SimpleMimeEntity::getMaxLineLength() - Get the maximum line length of the body of this entity.

#### Swift_Mime_SimpleMimeEntity::getNestingLevel() - Get the nesting level of this entity.

#### Swift_Mime_SimpleMimeEntity::setBody() - Set the body of this entity, either as a string, or as an instance of Swift_OutputByteStream.

#### Swift_Mime_SimpleMimeEntity::setBoundary() - Set the boundary used to separate children in this entity.

#### Swift_Mime_SimpleMimeEntity::setChildren() - Set all children of this entity.

#### Swift_Mime_SimpleMimeEntity::setContentType() - Set the Content-type of this entity.

#### Swift_Mime_SimpleMimeEntity::setDescription() - Set the description of this entity.

#### Swift_Mime_SimpleMimeEntity::setEncoder() - Set the encoder used for the body of this entity.

#### Swift_Mime_SimpleMimeEntity::setId() - Set the CID of this entity.

#### Swift_Mime_SimpleMimeEntity::setMaxLineLength() - Set the maximum line length of lines in this body.

#### Swift_Mime_SimpleMimeEntity::toByteStream() - Write this entire entity to a Swift_InputByteStream.

#### Swift_Mime_SimpleMimeEntity::toString() - Get this entire entity as a string.

#### Swift_Mime_SimpleMimeEntity::_clearCache() - Empty the KeyCache for this entity.

#### Swift_Mime_SimpleMimeEntity::_fixHeaders() - Re-evaluate what content type and encoding should be used on this entity.

#### Swift_Mime_SimpleMimeEntity::_getCache() - Get the KeyCache used in this entity.

#### Swift_Mime_SimpleMimeEntity::_getHeaderFieldModel() - Get the model data (usually an array or a string) for $field.

#### Swift_Mime_SimpleMimeEntity::_getHeaderParameter() - Get the parameter value of $parameter on $field header.

#### Swift_Mime_SimpleMimeEntity::_getIdField() - Get the name of the header that provides the ID of this entity

#### Swift_Mime_SimpleMimeEntity::_setHeaderFieldModel() - Set the model data for $field.

#### Swift_Mime_SimpleMimeEntity::_setHeaderParameter() - Set the parameter value of $parameter on $field header.

#### Swift_Mime_SimpleMimeEntity::__destruct() - Empties it's own contents from the cache.

#### Swift_Mime_SimpleMimeEntity::__toString() - Returns a string representation of this object.

Documentation generated on Fri, 12 Nov 2010 20:45:14 +0000 by phpDocumentor 1.4.3